Skip to main content
GET
/
trend-reports
/
{id}
Get a trend report
curl --request GET \
  --url 'https://www.thereviewport.com/api/trend-reports/{id}?apiKey='
{
  "guid": "<string>",
  "title": "<string>",
  "intro": "<string>",
  "summary": "<string>",
  "publishedDate": "2023-11-07T05:31:56Z",
  "isFeatured": true,
  "images": {
    "header": "<string>",
    "thumbnail": "<string>"
  },
  "author": {
    "id": "<string>",
    "name": "<string>"
  },
  "preview": {},
  "links": {
    "self": "<string>",
    "web": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://reviewport.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
query
required

API key passed as query parameter

Path Parameters

id
string
required

Trend report GUID or ObjectId

Response

Successful response

guid
string
title
string
intro
string | null
summary
string | null
publishedDate
string<date-time>
images
object
author
object
preview
object